Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class CardPacket

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class CardPacket extends IdContractId
Картпакет. Привязка пакета к юзеркарте.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CardPacket.CardPacketComparator`
  Сравниваемые характеристики в последовательности такой: packetId, date1, date2, status НЕ СРАВНИВАЕТСЯ: usercardId, т.к. на разных картах подписку то сравнивать надо.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardPacket()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCardNumber()`
  `Calendar`
  `getChange_date()`
  `String`
  `getComment()`
  `BigDecimal`
  `getCost()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getPacketId()`
  `String`
  `getPacketTitle()`
  `CardPacketStatus`
  `getStatus()`
  `String`
  `getStringStatus()`
  `int`
  `getUsercardId()`
  usercardId, то есть ID карты-привязанной-к-договору.
  `void`
  `setCardNumber(long cardNumber)`
  `void`
  `setChange_date(Calendar change_date)`
  `void`
  `setComment(String comment)`
  `CardPacket`
  `setContractId(int contractId)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setDateFrom(Date date1)`
  `void`
  `setDateTo(Date date2)`
  `void`
  `setPacketId(int packetId)`
  `void`
  `setPacketTitle(String packetTitle)`
  `void`
  `setStatus(CardPacketStatus status)`
  `void`
  `setUsercardId(int usercardId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CardPacket

    public CardPacket()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date date1)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date date2)

  - ### getPacketId

    public int getPacketId()

  - ### setPacketId

    public void setPacketId(int packetId)

  - ### getUsercardId

    public int getUsercardId()
    usercardId, то есть ID карты-привязанной-к-договору.

  - ### setUsercardId

    public void setUsercardId(int usercardId)

  - ### setContractId

    public CardPacket setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getStatus

    public CardPacketStatus getStatus()

  - ### setStatus

    public void setStatus(CardPacketStatus status)

  - ### getStringStatus

    public String getStringStatus()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getPacketTitle

    public String getPacketTitle()

  - ### setPacketTitle

    public void setPacketTitle(String packetTitle)

  - ### getCardNumber

    public long getCardNumber()

  - ### setCardNumber

    public void setCardNumber(long cardNumber)

  - ### getChange_date

    public Calendar getChange_date()

  - ### setChange_date

    public void setChange_date(Calendar change_date)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)